/**
  Generated Main Source File

  Company:
    Microchip Technology Inc.

  File Name:
    main.c

  Summary:
    This is the main file generated using PIC10 / PIC12 / PIC16 / PIC18 MCUs

  Description:
    This header file provides implementations for driver APIs for all modules selected in the GUI.
    Generation Information :
        Product Revision  :  PIC10 / PIC12 / PIC16 / PIC18 MCUs - 1.81.8
        Device            :  PIC16F15325
        Driver Version    :  2.00
 */

/*
    (c) 2018 Microchip Technology Inc. and its subsidiaries. 
    
    Subject to your compliance with these terms, you may use Microchip software and any 
    derivatives exclusively with Microchip products. It is your responsibility to comply with third party 
    license terms applicable to your use of third party software (including open source software) that 
    may accompany Microchip software.
    
    THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER 
    EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY 
    IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS 
    FOR A PARTICULAR PURPOSE.
    
    IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, 
    INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND 
    WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP 
    HAS BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO 
    THE FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL 
    CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT 
    OF FEES, IF ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS 
    SOFTWARE.
 */

#include "mcc_generated_files/mcc.h"
#include "mcc_generated_files/examples/i2c1_master_example.h"
#include "mcc_generated_files/delay.h"
#include "string.h"
/*
                         Main application
 */
void main(void) {
    
       
    uint8_t oled_address = 0x3c;
    uint8_t data[17];

    char moji[] ="I2C OLED WHITE12";
    
    // initialize the device
    SYSTEM_Initialize();

    // When using interrupts, you need to set the Global and Peripheral Interrupt Enable bits
    // Use the following macros to:

    // Enable the Global Interrupts
    //INTERRUPT_GlobalInterruptEnable();

    // Enable the Peripheral Interrupts
    //INTERRUPT_PeripheralInterruptEnable();

    // Disable the Global Interrupts
    //INTERRUPT_GlobalInterruptDisable();

    // Disable the Peripheral Interrupts
    //INTERRUPT_PeripheralInterruptDisable();



    //   while (1) {


    data[0] = 0x00;

    DELAY_milliseconds(100);

    data[1] = 0x01;//Clear Display
    I2C1_WriteNBytes(oled_address, data, 2);
    DELAY_milliseconds(20);

    data[1] = 0x02;//Return Home
    I2C1_WriteNBytes(oled_address, data, 2);
    DELAY_milliseconds(20);

    data[1] = 0x0f;//Display ON
    I2C1_WriteNBytes(oled_address, data, 2);
    DELAY_milliseconds(20);

    data[1] = 0x01;//Clear Display
    I2C1_WriteNBytes(oled_address, data, 2);
    DELAY_milliseconds(20);

        
    
    /////////////////////////////////
    data[0] = 0x40;

    data[1] = '1';
    strcpy(data+1,moji);
    I2C1_WriteNBytes(oled_address, data, strlen(data));
    DELAY_milliseconds(20);

    /////////////////////////////////

    
    // set address 0x22
    data[0] = 0x00;
    data[1] = 0x80+0x22;
    I2C1_WriteNBytes(oled_address, data, 2);
    DELAY_milliseconds(20);

    
    /////////////////////////////////
    data[0] = 0x40;
    data[1] = 'a';
    I2C1_WriteNBytes(oled_address, data, 2);
    DELAY_milliseconds(20);

    data[1] = 'b';
    I2C1_WriteNBytes(oled_address, data, 2);
    DELAY_milliseconds(20);

    data[1] = 'c';
    I2C1_WriteNBytes(oled_address, data, 2);
    DELAY_milliseconds(20);
    /////////////////////////////////
    
    
    
    
    
    
    // set address 0x30
    data[0] = 0x00;
    data[1] = 0x80+0x30;//Move Cursor out of sight
    I2C1_WriteNBytes(oled_address, data, 2);
    DELAY_milliseconds(20);
    
    
    
    
    while (1);

}
/**
 End of File
 */